Get an Event
curl --request GET \
--url https://api.virtuoussoftware.com/api/Event/{eventId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/Event/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Event/{eventId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Event/{eventId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Event/{eventId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/Event/{eventId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Event/{eventId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Event/{eventId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 3300,
"address1": "1590 Convention Way",
"address2": null,
"city": "Springfield",
"state": "OR",
"postal": "97477",
"country": "US",
"eventViewUrl": "https://api.virtuoussoftware.com/api/Event/3300",
"name": "Riverside Hope Annual Gala 2025",
"eventType": "Gala",
"locationName": "Springfield Convention Center",
"displayAddress": "1590 Convention Way, Springfield, OR 97477",
"geocodeAddress": "1590 Convention Way, Springfield, OR 97477",
"startDateTime": "2025-11-08T18:00:00",
"endDateTime": "2025-11-08T22:00:00",
"timeZone": "US/Pacific",
"description": "Annual black-tie gala benefiting Riverside Hope programs.",
"specialInstructions": "Valet parking available; cocktail reception begins at 6 PM.",
"inviteOnly": true,
"rsvpRequired": true,
"totalInvites": 320,
"totalRsvps": 245,
"totalAttended": 232,
"totalGifts": 198,
"totalGiving": "486500.00",
"communicationId": null,
"createDateTimeUtc": "2025-08-01T09:00:00Z",
"createdByUser": "Events Team",
"modifiedDateTimeUtc": "2025-11-09T11:30:00Z",
"modifiedByUser": "Events Team",
"eventContactsUrl": "https://api.virtuoussoftware.com/api/Event/3300/Contacts",
"generosityEventContacts": [
{
"id": 700501,
"eventContactUrl": "https://api.virtuoussoftware.com/api/Event/3300/Contacts/700501",
"contactId": 100234,
"contactUrl": "https://api.virtuoussoftware.com/api/Contact/100234",
"displayName": "Marcus Castellano",
"firstName": "Marcus",
"avatarUrl": "https://api.virtuoussoftware.com/api/ContactIndividual/200234/Avatar",
"primaryPhone": "(555) 012-3401",
"primaryEmail": "marcus.castellano@example.org"
},
{
"id": 700502,
"eventContactUrl": "https://api.virtuoussoftware.com/api/Event/3300/Contacts/700502",
"contactId": 100235,
"contactUrl": "https://api.virtuoussoftware.com/api/Contact/100235",
"displayName": "Elena Castellano",
"firstName": "Elena",
"avatarUrl": "https://api.virtuoussoftware.com/api/ContactIndividual/200235/Avatar",
"primaryPhone": "(555) 012-3402",
"primaryEmail": "elena.castellano@example.org"
}
],
"tables": [
"Table 1 — Board of Directors",
"Table 2 — Major Donors"
],
"meals": [
"Herb-Roasted Chicken",
"Vegetarian Wellington"
],
"eventInvitationsUrl": "https://api.virtuoussoftware.com/api/Event/3300/Attendees",
"customFields": []
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Event
Get an Event
GET
/
api
/
Event
/
{eventId}
Get an Event
curl --request GET \
--url https://api.virtuoussoftware.com/api/Event/{eventId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/Event/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Event/{eventId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Event/{eventId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Event/{eventId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/Event/{eventId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Event/{eventId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Event/{eventId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 3300,
"address1": "1590 Convention Way",
"address2": null,
"city": "Springfield",
"state": "OR",
"postal": "97477",
"country": "US",
"eventViewUrl": "https://api.virtuoussoftware.com/api/Event/3300",
"name": "Riverside Hope Annual Gala 2025",
"eventType": "Gala",
"locationName": "Springfield Convention Center",
"displayAddress": "1590 Convention Way, Springfield, OR 97477",
"geocodeAddress": "1590 Convention Way, Springfield, OR 97477",
"startDateTime": "2025-11-08T18:00:00",
"endDateTime": "2025-11-08T22:00:00",
"timeZone": "US/Pacific",
"description": "Annual black-tie gala benefiting Riverside Hope programs.",
"specialInstructions": "Valet parking available; cocktail reception begins at 6 PM.",
"inviteOnly": true,
"rsvpRequired": true,
"totalInvites": 320,
"totalRsvps": 245,
"totalAttended": 232,
"totalGifts": 198,
"totalGiving": "486500.00",
"communicationId": null,
"createDateTimeUtc": "2025-08-01T09:00:00Z",
"createdByUser": "Events Team",
"modifiedDateTimeUtc": "2025-11-09T11:30:00Z",
"modifiedByUser": "Events Team",
"eventContactsUrl": "https://api.virtuoussoftware.com/api/Event/3300/Contacts",
"generosityEventContacts": [
{
"id": 700501,
"eventContactUrl": "https://api.virtuoussoftware.com/api/Event/3300/Contacts/700501",
"contactId": 100234,
"contactUrl": "https://api.virtuoussoftware.com/api/Contact/100234",
"displayName": "Marcus Castellano",
"firstName": "Marcus",
"avatarUrl": "https://api.virtuoussoftware.com/api/ContactIndividual/200234/Avatar",
"primaryPhone": "(555) 012-3401",
"primaryEmail": "marcus.castellano@example.org"
},
{
"id": 700502,
"eventContactUrl": "https://api.virtuoussoftware.com/api/Event/3300/Contacts/700502",
"contactId": 100235,
"contactUrl": "https://api.virtuoussoftware.com/api/Contact/100235",
"displayName": "Elena Castellano",
"firstName": "Elena",
"avatarUrl": "https://api.virtuoussoftware.com/api/ContactIndividual/200235/Avatar",
"primaryPhone": "(555) 012-3402",
"primaryEmail": "elena.castellano@example.org"
}
],
"tables": [
"Table 1 — Board of Directors",
"Table 2 — Major Donors"
],
"meals": [
"Herb-Roasted Chicken",
"Vegetarian Wellington"
],
"eventInvitationsUrl": "https://api.virtuoussoftware.com/api/Event/3300/Attendees",
"customFields": []
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Authorizations
Response
OK
Last modified on April 23, 2026
Was this page helpful?